/**
 * Copyright (c) 2011-2012 EBMWebsourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.commons.log;

/**
 * @author Mathieu Carrolle - EBM WebSourcing
 */
public enum TraceCode {
    PROVIDE_FLOW_STEP_BEGIN("provideFlowStepBegin"), PROVIDE_FLOW_STEP_END("provideFlowStepEnd"),
    PROVIDE_FLOW_STEP_FAILURE("provideFlowStepFailure"), CONSUME_EXT_FLOW_STEP_BEGIN("consumeExtFlowStepBegin"),
    CONSUME_EXT_FLOW_STEP_END("consumeExtFlowStepEnd"), CONSUME_EXT_FLOW_STEP_FAILURE("consumeExtFlowStepFailure"),
    PROVIDE_EXT_FLOW_STEP_BEGIN("provideExtFlowStepBegin"), PROVIDE_EXT_FLOW_STEP_END("provideExtFlowStepEnd"),
    PROVIDE_EXT_FLOW_STEP_FAILURE("provideExtFlowStepFailure");

    private final String valueToDisplay;

    TraceCode(final String valueToDisplay) {
        this.valueToDisplay = valueToDisplay;
    }

    @Override
    public String toString() {
        return this.valueToDisplay;
    }
}
